#pragma once
#include "Entity.h"
#define CS_JENKAANI_CREATENAME L"CS_jenka_animate"
class CS_JenkaAni :
    public Entity
{
public:
    CS_JenkaAni();
    void Step() override;
    void SetState(int stateID, int lr) override;
    int act_no = 0;
    int ani_wait = 0;
    int act_wait = 0;
};

std::shared_ptr<Entity> CreateCS_JenkaAni();